<?php

namespace KupShop\ReturnsBundle;

use KupShop\ReturnsBundle\Deliveries\Utils\ReturnDeliveryInterface;
use Symfony\Component\DependencyInjection\ContainerBuilder;
use Symfony\Component\HttpKernel\Bundle\Bundle;

class ReturnsBundle extends Bundle
{
    public const LOG_TAG_RETURNS = 'Returns';

    public function build(ContainerBuilder $container)
    {
        $container->registerForAutoconfiguration(ReturnDeliveryInterface::class)
            ->addTag('kupshop.returns_delivery.list')
            ->setPublic(false)
            ->setAutowired(true);
    }
}
